package com.pm.topology.service;

import java.util.List;
import com.pm.common.config.PageData;

/**
 * 项目拓扑Service接口
 *
 * @author pm
 * @date 2025-04-24
 */
public interface IItemTopologyService
{
    /**
     * 查询项目拓扑
     *
     * @param itemId 项目拓扑主键
     * @return 项目拓扑
     */
    public PageData selectItemTopologyByItemId(String itemId);

    /**
     * 查询项目拓扑列表
     *
     * @param pd
     * @return 项目拓扑集合
     */
    public List<PageData> selectItemTopologyList(PageData pd);

    /**
     * 新增项目拓扑
     *
     * @param pd
     * @return 结果
     */
    public int insertItemTopology(PageData pd);

    /**
     * 修改项目拓扑
     *
     * @param pd
     * @return 结果
     */
    public int updateItemTopology(PageData pd);

    /**
     * 批量删除项目拓扑
     *
     * @param itemIds 需要删除的项目拓扑主键集合
     * @return 结果
     */
    public int deleteItemTopologyByItemIds(Long[] itemIds);

    /**
     * 删除项目拓扑信息
     *
     * @param itemId 项目拓扑主键
     * @return 结果
     */
    public int deleteItemTopologyByItemId(Long itemId);
}
